## samba 4.21.5+dfsg

=== debian/changelog ===
samba (2:4.21.5+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports (resolve before-trixie build profile).

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 01 Apr 2025 08:18:58 +0300

samba (2:4.21.5+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release:
   - https://bugzilla.samba.org/show_bug.cgi?id=15727
     net ad join fails with "Failed to join domain:
     failed to create kerberos keytab"
   - https://bugzilla.samba.org/show_bug.cgi?id=15791
     Remove of file or directory not possible with vfs_acl_tdb
   - https://bugzilla.samba.org/show_bug.cgi?id=15795
     ldb index cache is too small on known large transactions
     (schemaupgrade, provision)
   - https://bugzilla.samba.org/show_bug.cgi?id=15797
     Unable to connect to CephFS subvolume shares with vfs_shadow_copy2
   - https://bugzilla.samba.org/show_bug.cgi?id=15804
     "samba-tool domain backup offline" hangs
   - https://bugzilla.samba.org/show_bug.cgi?id=15810
     Add async io API from libcephfs to ceph_new VFS module
   - https://bugzilla.samba.org/show_bug.cgi?id=15818
     vfs_ceph_new module does not work with other modules
     for snapshot management
   - https://bugzilla.samba.org/show_bug.cgi?id=15820
     Incorrect FSF address in ctdb pcp scripts
   - https://bugzilla.samba.org/show_bug.cgi?id=15822
     Enable support for cephfs case insensitive behavior
   - https://bugzilla.samba.org/show_bug.cgi?id=15823
     Subnet based interfaces definition not listening
     on all covered IP addresses
   - https://bugzilla.samba.org/show_bug.cgi?id=15834
     vfs_ceph_new: Add path based fallback for SMB_VFS_FCHOWN,
     SMB_VFS_FCHMOD and SMB_VFS_FNTIMES

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 01 Apr 2025 07:35:28 +0300
