## samba 4.21.9+dfsg

=== debian/changelog ===
samba (2:4.21.9+dfsg-1) unstable; urgency=medium

  * new upstream security release:
  * CVE-2025-9640: Uninitialized memory disclosure via vfs_streams_xattr
    https://www.samba.org/samba/security/CVE-2025-9640.html
  * CVE-2025-10230: Command injection via WINS server hook script
    https://www.samba.org/samba/security/CVE-2025-10230.html

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 15 Oct 2025 19:31:52 +0300

samba (2:4.21.8+dfsg-2) unstable; urgency=medium

  * pick up some changes from subsequent debian samba series
  * d/control: stop depending on exact same version of samba-common
    Package samba-common contains a few files/dirs common for several samba
    packages.  Its contents hasn't changed for quite some time.  There's
    definitely no need to depend on exact version of this package - eg, 4.17
    (from bookworm) will work just fine with samba version 4.22.  Drop version
    requirement for samba-common dep entirely.  If/when we have real change in
    samba-common which is needed by other packages, we can specify particular
    version there.  For smoother upgrades
  * Revert "d/control,d/rules: ensure we use the most recent
    libtalloc/libtevent/libtdb"
    There's no need for samba-libs to depend on exact versions of support libs
    anymore, since 4.21.3+dfsg-5 (where the mistake has been made) is long gone
  * Revert "d/control: add conflicts/breaks for libtevent0t64 on mjt repo"
    This Breaks was special and temporary, and not useful for debian archive at
    all (it was only needed for mjt's own repository where the wrong package
    name slipped out once).  Remove this cruft for trixie
  * python3-talloc.symbols[.in] -- provide long-forgotten symbols file, so that
    versioned dependency on python3-talloc (mostly for python3-samba) will be
    less strict.  For smoother upgrades

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 15 Sep 2025 17:08:02 +0300

samba (2:4.21.8+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release:
   - https://bugzilla.samba.org/show_bug.cgi?id=14981:
     netr_LogonSamLogonEx returns NR_STATUS_ACCESS_DENIED with SysvolReady=0
   - https://bugzilla.samba.org/show_bug.cgi?id=15663:
     Apparently there is a conflict between shadow_copy2 module
     and virusfilter (action quarantine)
   - https://bugzilla.samba.org/show_bug.cgi?id=15840:
     kinit command is failing with Missing cache Error
   - https://bugzilla.samba.org/show_bug.cgi?id=15844:
     getpwuid does not shift to new DC when current DC is down
   - https://bugzilla.samba.org/show_bug.cgi?id=15876:
     Windows security hardening locks out schannel'ed netlogon
     dc calls like netr_DsRGetDCName
   - https://bugzilla.samba.org/show_bug.cgi?id=15877:
     Fix handling of empty GPO link
   - https://bugzilla.samba.org/show_bug.cgi?id=15880:
     SMB ACL inheritance doesn't work for files created
   - https://bugzilla.samba.org/show_bug.cgi?id=15891:
     Figuring out the DC name from IP address fails
     and breaks fork_domain_child()
   - https://bugzilla.samba.org/show_bug.cgi?id=15892:
     Delayed leader broadcast can block ctdb forever
   - https://bugzilla.samba.org/show_bug.cgi?id=15900:
     'net ads group' failed to list domain groups

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 09 Sep 2025 19:20:06 +0300

samba (2:4.21.7+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release, mostly targetting the Jul-08 update
    for Active Directory Domain Controllers
    (https://bugzilla.samba.org/show_bug.cgi?id=15876, Closes: #1108904):
   - https://bugzilla.samba.org/show_bug.cgi?id=15680:
     Trust domains are not created
   - https://bugzilla.samba.org/show_bug.cgi?id=15869:
     Startup messages of rpc daemons fills /var/log/messages
   - https://bugzilla.samba.org/show_bug.cgi?id=15876:
     Windows security hardening locks out schannel'ed netlogon dc calls
     like netr_DsRGetDCName
  * update d/copyright to point to https://www.gnu.org/licenses/
    instead of FSF postal address

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 07 Jul 2025 23:37:32 +0300

samba (2:4.21.6+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release:
   - https://bugzilla.samba.org/show_bug.cgi?id=15707:
     CVE-2025-0620 smbd doesn't pick up group membership changes
     when re-authenticating an expired SMB session
     Closes: CVE-2025-0620
   - https://bugzilla.samba.org/show_bug.cgi?id=15727:
     net ad join fails with "Failed to join domain:
    failed to create kerberos keytab"
   - https://bugzilla.samba.org/show_bug.cgi?id=15767:
     Deadlock between two smbd processes
   - https://bugzilla.samba.org/show_bug.cgi?id=15774:
     Running "gpo manage motd set" twice fails with backtrace
   - https://bugzilla.samba.org/show_bug.cgi?id=15819:
     vfs_ceph_snapshots fails to list snapshots for entries
     at any level beyond share root
   - https://bugzilla.samba.org/show_bug.cgi?id=15829:
     samba-tool gpo backup creates entity backups it can't read
   - https://bugzilla.samba.org/show_bug.cgi?id=15839:
     gp_cert_auto_enroll_ext.py has problem unpacking GUIDs with prepended 0's
   - https://bugzilla.samba.org/show_bug.cgi?id=15841:
     Wide link issue in samba 4.22
   - https://bugzilla.samba.org/show_bug.cgi?id=15851:
     dcerpcd not able to bind to listening port
   - https://bugzilla.samba.org/show_bug.cgi?id=15858:
     CTDB does not put nodes running NFS into grace on graceful shutdown

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 03 Jun 2025 10:34:12 +0300
