## samba 4.22.0+dfsg

=== debian/changelog ===
samba (2:4.22.0+dfsg-3.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind

 -- anticapitalista <antix@operamail.com>  Thu, 03 Apr 2025 17:48:13 +0300

samba (2:4.22.0+dfsg-3) unstable; urgency=medium

  * widelinks-nofollow.patch (https://bugzilla.samba.org/show_bug.cgi?id=15841)
    (Closes: #1101581)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 02 Apr 2025 14:34:31 +0300

samba (2:4.22.0+dfsg-2) unstable; urgency=medium

  * smbd-fix-handling-of-directory-leases-and-oplock-lev.patch
    (Closes: #1100604)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 29 Mar 2025 07:24:47 +0300

samba (2:4.22.0+dfsg-1) unstable; urgency=medium

  * new upstream release
  * samba-libs: provide libndr5 too (with a compat symlink)
  * add libsamba-security-private.so link for freeipa testsuite
    (Closes: #1099340)
  * d/samba-vfs-ceph.install: install also ceph_new vfs module
    (Closes: #1098670)
  * d/*.install: s@/*/@/${DEB_HOST_MULTIARCH}/@
  * d/source/lintian-overrides: add dh-exec-useless-usage *DEB_HOST_MULTIARCH*

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 07 Mar 2025 00:02:26 +0300

samba (2:4.22.0~rc1+dfsg-1) experimental; urgency=medium

  * d/control: remove vorlon@ from Uploaders.
    Thank you, dear friend, for all the work you've done. RIP!
  * new upstream release candidate
    Closes: #1084559 (crypt module removal in python 3.13)
  * remove patches which has been applied upstream
  * fix-nfs-service-name-to-nfs-kernel-server.patch:
    refresh, remove now-unneeded hunk
  * revert-ldb-use-hexchars_upper-from-replace.h.patch
    to avoid linking libldb2 with libreplace
  * replace-xpg-strerror.patch
    to avoid linking other libs with libreplace
  * d/rules: fixup component versions
  * libtalloc, libtevent, libtdb, libldb: symbols: add new versions
  * libldb2.symbols: add new version
  * samba-libs: libndr.so soname bump to 6, add new symbols
  * samba-libs: add libutil-crypt-private-samba.so.0

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 07 Feb 2025 12:37:12 +0300
