=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
-Uploaders: Steve Langasek <vorlon@debian.org>,
-           Jelmer Vernooĳ <jelmer@debian.org>,
+Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
            Mathieu Parent <sathieu@debian.org>,
            Michael Tokarev <mjt@tls.msk.ru>
 Homepage: https://www.samba.org
@@ -54,7 +53,6 @@
 	libpopt-dev,
 	libreadline-dev,
 	libtirpc-dev,
-	libsystemd-dev [linux-any],
 	libtasn1-6-dev,
 	libtasn1-bin,
 	liburing-dev [linux-any],
@@ -84,7 +82,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: passwd,
          procps,
-         samba-common,
+         samba-common (= ${source:Version}),
          samba-common-bin (=${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
@@ -127,12 +125,21 @@
 Multi-Arch: same
 Architecture: any
 Section: libs
-Provides: libndr5 (= ${binary:Version}), libsmbldap2 (= ${binary:Version})
+Provides: libndr6 (= ${binary:Version}),
+# libndr5=>6 dropped 3 long-unused KRB5_EDATA_NTSTATUS symbols
+ libndr5 (= ${binary:Version}),
+ libsmbldap2 (= ${binary:Version})
 Depends: ${misc:Depends}, ${shlibs:Depends},
 # since libldb ABI is incorrectly versioned resulting in breakage like #1021371,
 # just require libldb version of the same build
 # https://lists.samba.org/archive/samba-technical/2023-September/138422.html
  libldb2 (= ${ldb:Version}),
+# other libs built from samba sources (it'd be nice to have dpkg-shlibdeps generate these).
+# this helps to overcome the wrong version mishap (4.21.3+dfsg-5), can be dropped for trixie
+ libtalloc2 (>= ${talloc:Version}),
+ libtevent0t64 (>= ${tevent:Version}) <!pkg.samba.before-trixie>,
+ libtevent0    (>= ${tevent:Version}) < pkg.samba.before-trixie>,
+ libtdb1 (>= ${tdb:Version}),
 Replaces:
 # libsamba-util.so &deps moved from libwbclient0 to samba-libs in 4.16.1+dfsg-7
  libwbclient0 (<< 2:4.16.1+dfsg-7~),
@@ -167,7 +174,7 @@
 
 Package: samba-common-bin
 Architecture: any
-Depends: samba-common,
+Depends: samba-common (= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -249,7 +256,7 @@
 
 Package: smbclient
 Architecture: any
-Depends: samba-common,
+Depends: samba-common (= ${source:Version}),
          samba-libs (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -301,15 +308,3 @@
 Multi-Arch: same
 Depends: libc6-dev,
          libldb-dev,
-         libpopt-dev,
-         libtalloc-dev,
-         libtdb-dev,
-         libtevent-dev,
-         libwbclient-dev,
-         samba-libs (= ${binary:Version}),
-         ${misc:Depends}
-# libsamba-util.so moved from libwbclient0 to samba-libs in 4.16.1+dfsg-7
-Replaces: libwbclient-dev (<< 2:4.16.1+dfsg-7~)
-Breaks:   libwbclient-dev (<< 2:4.16.1+dfsg-7~)
-Section: devel
-Description: tools for extending Samba
