=== debian/rules ===
--- 
+++ 
@@ -58,28 +58,31 @@
 subver-suffix := +samba${DEB_VERSION_UPSTREAM_REVISION}
 
 # lib/ldb/wscript
-ldb-upstream-version := 2.10.0
+ldb-upstream-version := 2.11.0
 ldb-version = 2:${ldb-upstream-version}${subver-suffix}
 ldb-packages := libldb2 libldb-dev ldb-tools python3-ldb
 
 # lib/talloc/wscript
-talloc-upstream-version := 2.4.2
+talloc-upstream-version := 2.4.3
 talloc-version = 2:${talloc-upstream-version}${subver-suffix}
 talloc-packages := libtalloc2 libtalloc-dev python3-talloc
 
 # lib/tevent/wscript
-tevent-upstream-version := 0.16.1
+tevent-upstream-version := 0.16.2
 tevent-version = 2:${tevent-upstream-version}${subver-suffix}
 libtevent := $(if ${before-trixie},libtevent0,libtevent0t64)
 tevent-packages := ${libtevent} libtevent-dev
 
 # lib/tdb/wscript
-tdb-upstream-version := 1.4.12
+tdb-upstream-version := 1.4.13
 tdb-version = 2:${tdb-upstream-version}${subver-suffix}
 tdb-packages := libtdb1 tdb-tools libtdb-dev python3-tdb
 
 extra-version-vars = \
 	-Vldb:Version=${ldb-version} \
+	-Vtalloc:Version=${talloc-version} \
+	-Vtevent:Version=${tevent-version} \
+	-Vtdb:Version=${tdb-version} \
 
 omit-pkgs =
 
@@ -134,7 +137,7 @@
 
 config-args += \
 	--with-quota \
-	--with-systemd \
+	\
 
 endif
 
@@ -207,5 +210,3 @@
 # This will pefrorm unnecessary/extra install step (into d/tmp), which
 # we'll repeat during actual install stage, but this is definitely
 # better/faster than building whole thing for _not_ running from the build dir.
-	${WAF} $(if $V,-v) --targets=compile_et,asn1_compile
-endif # !mitkrb5
