=== debian/control ===
--- 
+++ 
@@ -53,6 +53,7 @@
 	libpopt-dev,
 	libreadline-dev,
 	libtirpc-dev,
+	libsystemd-dev [linux-any],
 	libtasn1-6-dev,
 	libtasn1-bin,
 	liburing-dev [linux-any],
@@ -306,5 +307,3 @@
 Package: samba-dev
 Architecture: any
 Multi-Arch: same
-Depends: libc6-dev,
-         libldb-dev,
