=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # build is done in bin/default/ subdir
 DEB_CFLAGS_MAINT_APPEND = -ffile-prefix-map=../../=
 
-ifneq (,$(filter armel mipsel m68k powerpc sh4,${DEB_HOST_ARCH}))
+ifneq (,$(filter armel armhf mipsel m68k powerpc sh4,${DEB_HOST_ARCH}))
 # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=81358
 # on these platforms gcc does not link with -latomic, resulting in
 #   third_party/heimdal/lib/krb5/krcache.c.55.o: in function `krcc_get_principal':
@@ -137,7 +137,7 @@
 
 config-args += \
 	--with-quota \
-	\
+	--with-systemd \
 
 endif
 
@@ -209,4 +209,3 @@
 # Build these two executables first, and build the install stage.
 # This will pefrorm unnecessary/extra install step (into d/tmp), which
 # we'll repeat during actual install stage, but this is definitely
-# better/faster than building whole thing for _not_ running from the build dir.
