=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Build-Depends-Arch:
 	dh-sequence-python3,
         python3-setuptools,
-	dpkg-dev (>= 1.22.5) <!pkg.samba.before-trixie>,
+	dpkg-dev (<< 1.22.5),
 # tools:
 	bison,
 	docbook-xml, docbook-xsl, xsltproc,
@@ -21,7 +21,6 @@
 	perl:any,
 # :native for bookworm, on trixie and up it is not needed
 	libparse-yapp-perl:native | libparse-yapp-perl,
-	rpcsvc-proto  <!pkg.samba.before-trixie>,
 # for winexe. gcc-mingw-w64 brings 4 toolchains, we need only 2
         gcc-mingw-w64-i686-win32, gcc-mingw-w64-x86-64-win32,
 # system libraries:
@@ -37,6 +36,7 @@
 	libcephfs-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
 	librados-dev  [amd64 arm64 mips64el ppc64el riscv64 s390x],
 	libcmocka-dev,
+	libcrypt-dev,
 	libcups2-dev,
 	libdbus-1-dev,
 	libglusterfs-dev [amd64 arm64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
@@ -138,8 +138,7 @@
 # other libs built from samba sources (it'd be nice to have dpkg-shlibdeps generate these).
 # this helps to overcome the wrong version mishap (4.21.3+dfsg-5), can be dropped for trixie
  libtalloc2 (>= ${talloc:Version}),
- libtevent0t64 (>= ${tevent:Version}) <!pkg.samba.before-trixie>,
- libtevent0    (>= ${tevent:Version}) < pkg.samba.before-trixie>,
+ libtevent0    (>= ${tevent:Version}),
  libtdb1 (>= ${tdb:Version}),
 Replaces:
 # libsamba-util.so &deps moved from libwbclient0 to samba-libs in 4.16.1+dfsg-7
@@ -307,3 +306,10 @@
 Package: samba-dev
 Architecture: any
 Multi-Arch: same
+Depends: libc6-dev,
+         libldb-dev,
+         libpopt-dev,
+         libtalloc-dev,
+         libtdb-dev,
+         libtevent-dev,
+         libwbclient-dev,
