## samba 4.22.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -53,7 +53,6 @@
 	libpopt-dev,
 	libreadline-dev,
 	libtirpc-dev,
-	libsystemd-dev [linux-any],
 	libtasn1-6-dev,
 	libtasn1-bin,
 	liburing-dev [linux-any],
@@ -83,7 +82,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: passwd,
          procps,
-         samba-common (= ${source:Version}),
+         samba-common,
          samba-common-bin (=${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
@@ -135,11 +134,6 @@
 # just require libldb version of the same build
 # https://lists.samba.org/archive/samba-technical/2023-September/138422.html
  libldb2 (= ${ldb:Version}),
-# other libs built from samba sources (it'd be nice to have dpkg-shlibdeps generate these).
-# this helps to overcome the wrong version mishap (4.21.3+dfsg-5), can be dropped for trixie
- libtalloc2 (>= ${talloc:Version}),
- libtevent0    (>= ${tevent:Version}),
- libtdb1 (>= ${tdb:Version}),
 Replaces:
 # libsamba-util.so &deps moved from libwbclient0 to samba-libs in 4.16.1+dfsg-7
  libwbclient0 (<< 2:4.16.1+dfsg-7~),
@@ -174,7 +168,7 @@
 
 Package: samba-common-bin
 Architecture: any
-Depends: samba-common (= ${source:Version}),
+Depends: samba-common,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -256,7 +250,7 @@
 
 Package: smbclient
 Architecture: any
-Depends: samba-common (= ${source:Version}),
+Depends: samba-common,
          samba-libs (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -313,3 +307,11 @@
          libtdb-dev,
          libtevent-dev,
          libwbclient-dev,
+         samba-libs (= ${binary:Version}),
+         ${misc:Depends}
+# libsamba-util.so moved from libwbclient0 to samba-libs in 4.16.1+dfsg-7
+Replaces: libwbclient-dev (<< 2:4.16.1+dfsg-7~)
+Breaks:   libwbclient-dev (<< 2:4.16.1+dfsg-7~)
+Section: devel
+Description: tools for extending Samba
+ Samba is an implementation of the SMB/CIFS protocol for Unix systems,
