=== debian/rules ===
--- 
+++ 
@@ -80,9 +80,6 @@
 
 extra-version-vars = \
 	-Vldb:Version=${ldb-version} \
-	-Vtalloc:Version=${talloc-version} \
-	-Vtevent:Version=${tevent-version} \
-	-Vtdb:Version=${tdb-version} \
 
 omit-pkgs =
 
@@ -137,7 +134,7 @@
 
 config-args += \
 	--with-quota \
-	--with-systemd \
+	\
 
 endif
 
@@ -211,3 +208,9 @@
 # we'll repeat during actual install stage, but this is definitely
 # better/faster than building whole thing for _not_ running from the build dir.
 	${WAF} $(if $V,-v) --targets=compile_et,asn1_compile
+endif # !mitkrb5
+	${WAF} $(if $V,-v) install --destdir="${DESTDIR}"
+	touch $@
+build-indep:
+build: build-arch build-indep
+
